use cgmath::{Deg, Point2};

use crate::{physics::Pfloat, Camera, Sprite, Spriteable};

pub struct Doodad {
	pub sprite: String,
	pub pos: Point2<Pfloat>,
}

impl Spriteable for Doodad {
	fn sprite(&self, camera: &Camera) -> Sprite {
		return Sprite {
			position: self.pos,
			camera: camera.pos,
			name: self.sprite.clone(),
			angle: Deg { 0: 0.0 },
		};
	}
}
